DEFINT A-Z

'ASSEMBLER:

'GRAFIK:
'GPRINT, GPRINTX
DECLARE SUB GPrint (BYVAL x, BYVAL y, s$, BYVAL colour)
DECLARE SUB GPrintX (BYVAL x, BYVAL y, s$, BYVAL colour)
DECLARE SUB InitFont (BYVAL Nr, BYVAL LineSpacing)
DECLARE SUB GFontInfo (CharSet, FontHeight, LineSpacing, FontSegment, FontOffset)

'GPSCRN.ASM
DECLARE SUB GPushScreenV (x%, y%, Breite%, Hoehe%, PuSeg%)
DECLARE SUB GPullScreenV (x%, y%)
DECLARE SUB GPushScreenR (x%, y%, Breite%, Hoehe%, BitPlane%, PuSeg%)
DECLARE SUB GPullScreenR (x%, y%, BitPlane%, PuSeg%)

'GBOX
DECLARE SUB GPoint (BYVAL x, BYVAL y, BYVAL Colr)
DECLARE SUB GVertLine (BYVAL x, BYVAL y, BYVAL Hoehe, BYVAL Colr)
DECLARE SUB GHorLine (BYVAL x, BYVAL y, BYVAL Breite, BYVAL Colr)


'PrintS
DECLARE SUB PrintS (x%, y%, s$, Attribut%)
DECLARE SUB PrintSInfo (s$, MaxLength%, NbRows%)
DECLARE SUB SetDelimiter (Delimiter%)
DECLARE FUNCTION GetDelimiter% ()
DECLARE SUB SetBColorCode (Code%)
DECLARE SUB SetFColorCode (Code%)
DECLARE SUB SetTitelColorCode (Code%)
DECLARE SUB SetBoldColorCode (Code%)

'Laserjet
DECLARE SUB GPWLaser (x, y, Breite, Hoehe, Planeflag, ResFlag)

'PDQ
DECLARE FUNCTION PDQShr% (BYVAL value, BYVAL bits)
DECLARE FUNCTION PDQShl% (BYVAL value, BYVAL bits)
DECLARE FUNCTION PDQValI% (s$)
DECLARE FUNCTION PDQValL% (s$)
DECLARE SUB BlockCopy (seg1, adr1, seg2, adr2, AnzByte)


'Modul Ascreen
DECLARE SUB PrintF (col%, row%, s$, Att%)
DECLARE SUB Windows (col%, row%, Breite%, Laenge%, Segment%, Offset%, Flag%)
DECLARE SUB Scroll (col%, row%, Breite%, Laenge%, Flag%)

'Modul Astrlib
DECLARE SUB StrDel (s$, Src%, Dest%)
DECLARE SUB StrIns (s$, Src%, Dest%)
DECLARE SUB LeftInstr (i%, s$, V$)

'StrFind4.ASM
DECLARE FUNCTION StrFind4 (start, s1$, s2$, Toleranz%, DC%)

'SmallPRN, BigPRN:
DECLARE SUB SmallPrintWindow (xmin%, xmax%, ymin%, ymax%)
DECLARE SUB BigPrintWindow (xmin%, xmax%, ymin%, ymax%)

'MOUSE.ASM:
DECLARE SUB MouseGet (MouseX%, MouseY%, MouseB%)
DECLARE SUB MouseInit ()
DECLARE SUB MouseOn ()
DECLARE SUB MouseOff ()
DECLARE FUNCTION MouseIsOn% ()
DECLARE SUB MousePointer (OnOff%)
DECLARE SUB MouseSetCursor (x%, y%)
DECLARE SUB MouseSpeed (Speed%)
DECLARE FUNCTION MouseThere ()
DECLARE SUB MouseVArea (y1%, y2%)
DECLARE FUNCTION VideoMode ()

'COLORS
DECLARE FUNCTION BoldColor (Att)
DECLARE FUNCTION TitelColor (Att)
DECLARE FUNCTION invColor (Att)

'SMALLBOX (ASM)         4.1991
DECLARE SUB DrawBox (x%, y%, b%, h%, f%, Box$)
DECLARE SUB GetBox (x%, y%, b%, h%, SEG Puffer%)
DECLARE SUB SetBox (x%, y%, b%, h%, SEG Puffer%)
DECLARE FUNCTION GetScrSeg% ()

' MODUL TIME.ASM
DECLARE SUB StopProcessor (Microsec&)


'---------------------------------------------------------------------
' MODUL 1GENERAL.BAS

DECLARE FUNCTION BoldChr$ (a$, Zeichen$)
DECLARE FUNCTION CenterText (xstart, Breite, s$)
DECLARE SUB Cursor (ok$, Spalte, Zeile, Seite)
DECLARE FUNCTION GermanDate$ ()
DECLARE FUNCTION InBox% (x%, y%, xb%, yb%, bb%, hb%)
DECLARE SUB MoveCursor (ok$, Nr, CursorLine, LastLine, WinLen, Page, LastPage)
DECLARE SUB UpDown (Zeile%, ErsteZeile%, LetzteZeile%, MaxZeile%, Seite%, LetzteSeite%)
DECLARE SUB SplitHex (HexNum, a, b, c, d)
DECLARE FUNCTION MakeHex (a, b, c, d)


' MODUL 1STRLIB1.BAS

DECLARE FUNCTION ChangeStr$ (St$, NewSt$, i%, Trenn$)
DECLARE FUNCTION DelStr$ (St$, i%, Trenn$)
DECLARE FUNCTION BuildString$ (T$(), Anz%, Trenn$)
DECLARE FUNCTION ConvertTabToSpaces$ (s$, Number)
DECLARE FUNCTION CountArg (s$, Char$)
DECLARE FUNCTION CountChr% (s$, Char$)
DECLARE FUNCTION Del$ (s$, i, j, Flag)
DECLARE FUNCTION DelChr$ (a$, DelString$)
DECLARE FUNCTION ExChange$ (St$, Srch$, New$)
DECLARE FUNCTION ExtractStr$ (St$, First, Nb, Trenn$)
DECLARE FUNCTION Fill$ (s$, i)
DECLARE FUNCTION FillChr$ (s$, Fuell$)
DECLARE FUNCTION GetInstr (St$, n, a$)
DECLARE FUNCTION Ins$ (s$, InsStr$, i, Flag)
DECLARE FUNCTION InsertStr$ (St$, InsSt$, PosInStr, Trenn$)
DECLARE FUNCTION LFill$ (s$, n)
DECLARE FUNCTION Lower$ (s$)
DECLARE SUB QuickSort (s$(), start, Ende)
DECLARE SUB RemoveDouble (s$, Search$)
DECLARE FUNCTION SetPoint$ (Z&)
DECLARE SUB SplitString (s$, NumArgs, Args$(), Trenn$)
DECLARE FUNCTION Upper$ (s$)
DECLARE FUNCTION ZTrim$ (T$)


' MODUL 1STRLIB2.BAS

DECLARE FUNCTION IsLower (s$)
DECLARE FUNCTION IsUpper (s$)
DECLARE FUNCTION NotInstr (s$, Char$, i)
DECLARE FUNCTION ReverseString$ (s$)


' MODUL 2DIRBOX.BAS

DECLARE FUNCTION CurrentDir$ ()
DECLARE SUB Dirread (Pfad$, FAttr, Entrys, Directory$(), SizeTot&)
DECLARE FUNCTION GetPath$ ()
DECLARE SUB HideHiddenDir (Flag)
DECLARE SUB SortDir (d$(), Nbr, Sort)


' MODUL 2DISKBOX.BAS

DECLARE FUNCTION AllDisk$ ()
DECLARE FUNCTION ChangeDrive% (Drive$)
DECLARE FUNCTION CurrentDisk$ ()
DECLARE FUNCTION DiskReady (Disk$)
DECLARE FUNCTION DriveFormat (Disk$)
DECLARE FUNCTION FloppyZahl% ()
DECLARE SUB DiskSpace (Drive$, Free&, Used&)
DECLARE FUNCTION GetDisk$ ()
DECLARE SUB NewDrive (Nr%)


' MODUL 2FILEB1.BAS

DECLARE FUNCTION ChangeDir% (Pfad$)
DECLARE FUNCTION Exists% (FileName$)
DECLARE FUNCTION ExistsDir% (DirName$)
DECLARE FUNCTION FileAttribute$ (Attribut)
DECLARE SUB FileInformation (File$, Attribut, FDate$, FSize&, Day, Month, Year, h, min, sec)
DECLARE FUNCTION FileNameOk (File$)
DECLARE SUB NameExtension (FileName$, Nom$, Extension$)
DECLARE SUB PathName (s$, Pfad$, f$)
DECLARE FUNCTION progpath$ ()


' MODUL 3EDITKEY.BAS

DECLARE SUB CharBack (e$, Max, PosAkt)
DECLARE SUB CharCtrlC (e$, PosAkt, Delete$)
DECLARE SUB CharCtrlLeft (e$, Max, PosAkt)
DECLARE SUB CharCtrlRight (e$, Max, PosAkt)
DECLARE SUB CharCtrlT (e$, Max, PosAkt, Delete$)
DECLARE SUB CharEnd (e$, Max, PosAkt)
DECLARE SUB CharHome (e$, Max, PosAkt)
DECLARE SUB CharInput (e$, Key$, Max, PosAkt, Insertflag)
DECLARE SUB CharIns (Insertflag)
DECLARE SUB EditKey (Key$, e$, Max, PosAkt, EditFlag, Insertflag, Delete$)


' MODUL 3MOUSEKY.BAS

DECLARE FUNCTION Alt2Ascii$ (Key$)
DECLARE SUB GetEvent (Key$, Esc, Spalte, Zeile, Button)
DECLARE SUB int1610 (ah, al)
DECLARE SUB int1611 (Zeroflag, scancode, ASCII)
DECLARE SUB MausT (LKnopf, RKnopf, Zeile, Spalte)
DECLARE SUB MouseMoveWait (MouseX%, MouseY%, MouseB%)
DECLARE SUB MouseWaitButton ()
DECLARE FUNCTION Qualifier% (Mask%)
DECLARE SUB TasteMaus (Key$, Esc, Zeile, Spalte)
DECLARE FUNCTION LastKeyWas$ ()
DECLARE SUB SetLastKey (ok$)


' MODUL 4SYSTEM.BAS

DECLARE FUNCTION CheckVideo$ ()
DECLARE FUNCTION PrinterReady ()


TYPE RegType
     ax    AS INTEGER
     bx    AS INTEGER
     cx    AS INTEGER
     dx    AS INTEGER
     bp    AS INTEGER
     si    AS INTEGER
     di    AS INTEGER
     flags AS INTEGER
END TYPE

TYPE RegTypeX
     ax    AS INTEGER
     bx    AS INTEGER
     cx    AS INTEGER
     dx    AS INTEGER
     bp    AS INTEGER
     si    AS INTEGER
     di    AS INTEGER
     flags AS INTEGER
     ds    AS INTEGER
     es    AS INTEGER
END TYPE


DECLARE SUB INTERRUPT (Nr%, InRegs AS RegType, OutRegs AS RegType)
DECLARE SUB INTERRUPTX (Nr%, InRegs AS RegTypeX, OutRegs AS RegTypeX)

'--------------------------------------------------------------------
'       *** Globale Konstanten ***

'       * Tasten *
CONST zEsc$ = ""              'Esc
CONST zRight$ = "M"            'Cursor Right
CONST zLeft$ = "K"             'Cursor left
CONST zUp$ = "H"               'Cursor up
CONST zDown$ = "P"             'Cursor down
CONST zHome$ = "G"             'Home
CONST zEnd$ = "O"              'End
CONST zDel$ = "S"              'Delete
CONST zIns$ = "R"              'Insert
CONST zBack$ = ""              'Backspace
CONST zPgUp$ = "I"             'Page Up
CONST zPgDown$ = "Q"           'Page Down
CONST zCtrlRight$ = "t"       'Kombination Ctrl + Cursor Right
CONST zCtrlLeft$ = "s"        'Kombination Ctrl + Cursor Left
CONST zCtrlHome$ = "w"        'Kombination Ctrl + Home
CONST zCtrlEnd$ = "u"         'Kombination Ctrl + End
CONST zCtrlY$ = ""            'Kombination Ctrl + y
CONST zCtrlT$ = ""            'Kombination Ctrl + t
CONST zCtrlC$ = ""           'Kombination Ctrl + c
CONST zCtrlN$ = ""           'Kombination Ctrl + n
CONST zCtrlR$ = ""           'Kombination Ctrl + r
CONST zCtrlF$ = ""           'Kombination Ctrl + f
CONST zCtrlPgUp$ = ""        'Kombination Ctrl + Page Up
CONST zCtrlPgDown$ = "v"      'Kombination Ctrl + Page Down
CONST zTab$ = "	"             'Tabulator

CONST zF1$ = ";": CONST zF2$ = "<": CONST zF3$ = "=": CONST zF4$ = ">": CONST zF5$ = "?"
CONST zF6$ = "@": CONST zF7$ = "A": CONST zF8$ = "B": CONST zF9$ = "C": CONST zF10$ = "D"

'       * Standardstrings *
CONST JN$ = "jn"
CONST Num$ = "1234567890.- "

'       * Wahrheitswerte *
CONST False = 0
CONST True = 1



'       *** Globale Variablen ***

'       * Tasten *
COMMON SHARED /stdio1/ zReturn$, zCtrlL$

'       * Standardstrings *
COMMON SHARED /stdio2/ Alpha$, Terminator$

'       * Windowvariablen *

COMMON SHARED /stdio3/ Scr() AS INTEGER, ScrTab() AS INTEGER, ScrPage AS INTEGER, WOffset AS INTEGER

'       * Farbvariablen *
COMMON SHARED /stdio4/ Normal AS INTEGER, Invers AS INTEGER, Intensiv  AS INTEGER, HelpColor AS INTEGER

'Die Farben sollten folgendermaen definiert werden:
'-----------------------------------------------------
'HEXADEZIMAL:   &H1234   1 = TitelFarbe        TF
'                        2 = FettFarbe         FF
'                        3 = HintergrundFarbe  HF
'                        4 = Vordergrundfarbe  VF





'       * Sonstiges *
COMMON SHARED /CursorDef/ SStart AS INTEGER, SStop AS INTEGER, BStart AS INTEGER, BStop AS INTEGER


'  Sprache
COMMON SHARED /Language/ Language$




COMMON SHARED /toolbox3/ MaxLines%                  '** Anzahl Bildzeilen

COMMON SHARED /toolbox8/ NoMouse%

